Subject: Re: [PATCH v3 2/2] wrapper: use a CSPRNG to generate random file names

From: Junio C Hamano <[email-masked]>
Date: Mon, 24 Jan 2022 09:08:17 -0800

René Scharfe <[email-masked]> writes:

> ...  But
> a replacement for git_mkstemp_mode() with two umask(2) calls looks less
> attractive to me than fortifying git_mkstemps_mode() with a good source
> of randomness.

True.

Also, it is not like we are supplying our own implementation of
random source, but are just pluggig various system-supplied random
source into our code, so I do not see the "auditatiblity" problem we
heard earlier too much of an issue.